---
layout: docs
page_title: roles delete - Command
description: >-
  The "roles delete" command deletes an existing role resource.
---

# roles delete

Command: `roles delete`

The `roles delete` command lets you delete a role.

## Example

This example deletes a role with the ID `r_1234567890`:

```shell-session
$ boundary roles delete -id r_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles delete [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the role you want to delete.

@include 'cmd-option-note.mdx'